QwtPolarMarker(3)

NAME
QwtPolarMarker -

A class for drawing markers.

SYNOPSIS

#include <qwt_polar_marker.h>

Inherits QwtPolarItem.

  Public Member Functions
QwtPolarMarker ()
Sets alignment to Qt::AlignCenter, and style to NoLine.
virtual ~QwtPolarMarker ()
Destructor.
virtual int rtti () const
void setPosition (const QwtPointPolar &)
Change the position of the marker.
QwtPointPolar position () const
void setSymbol (const QwtSymbol *s)
Assign a symbol.
const QwtSymbol * symbol () const
void setLabel (const QwtText &)
Set the label.
QwtText label () const
void setLabelAlignment (Qt::Alignment)
Set the alignment of the label.
Qt::Alignment labelAlignment () const
virtual void draw (QPainter *painter, const QwtScaleMap &azimuthMap, const QwtScaleMap &radialMap, const QPointF &pole, double radius, const QRectF &canvasRect) const
virtual QwtInterval boundingInterval (int scaleId) const

  Additional Inherited Members

Detailed Description

A class for drawing markers. A marker can be a a symbol, a label or a combination of them, which can be drawn around a center point inside a bounding rectangle.

The setSymbol() member assigns a symbol to the marker. The symbol is drawn at the specified point.

With setLabel(), a label can be assigned to the marker. The setLabelAlignment() member specifies where the label is drawn. All the Align*-constants in Qt::AlignmentFlags (see Qt documentation) are valid. The alignment refers to the center point of the marker, which means, for example, that the label would be painted left above the center point if the alignment was set to AlignLeft|AlignTop.

Member Function Documentation

  QwtInterval QwtPolarMarker::boundingInterval (intscaleId) const [virtual]
Interval, that is necessary to display the item This interval can be useful for operations like clipping or autoscaling

Parameters:
    scaleId Scale index

Returns:
    bounding interval ( == position )

See Also:
    position()

Reimplemented from QwtPolarItem.

  void QwtPolarMarker::draw (QPainter *painter, const QwtScaleMap &azimuthMap, const QwtScaleMap &radialMap, const QPointF &pole, doubleradius, const QRectF &canvasRect) const [virtual]
Draw the marker

Parameters:
    painter Painter
    azimuthMap Maps azimuth values to values related to 0.0, M_2PI
    radialMap Maps radius values into painter coordinates.
    pole Position of the pole in painter coordinates
    radius Radius of the complete plot area in painter coordinates
    canvasRect Contents rect of the canvas in painter coordinates

Implements QwtPolarItem.

  QwtText QwtPolarMarker::label () const

Returns:
    the label

See Also:
    setLabel()

  Qt::Alignment QwtPolarMarker::labelAlignment () const

Returns:
    the label alignment

See Also:
    setLabelAlignment()

  QwtPointPolar QwtPolarMarker::position () const

Returns:
    Position of the marker

  int QwtPolarMarker::rtti () const [virtual]

Returns:
    QwtPolarItem::Rtti_PlotMarker

Reimplemented from QwtPolarItem.

  void QwtPolarMarker::setLabel (const QwtText &label)

Set the label.

Parameters:
    label label text

See Also:
    label()

  void QwtPolarMarker::setLabelAlignment (Qt::Alignmentalign)

Set the alignment of the label. The alignment determines where the label is drawn relative to the marker's position.

Parameters:
    align Alignment. A combination of AlignTop, AlignBottom, AlignLeft, AlignRight, AlignCenter, AlgnHCenter, AlignVCenter.

See Also:
    labelAlignment()

  void QwtPolarMarker::setSymbol (const QwtSymbol *symbol)

Assign a symbol.

Parameters:
    symbol New symbol

See Also:
    symbol()

  const QwtSymbol * QwtPolarMarker::symbol () const

Returns:
    the symbol

See Also:
    setSymbol(), QwtSymbol

Author

Generated automatically by Doxygen for Qwt Polar User's Guide from the source code.